(function($) {
    "use strict";
     $(document).on('ready', function() {	
	
		
		// Menu Click JS
		$('.menu-button,.close-menu button').on('click', function(){
			$('.menu-inner').toggleClass('active');
			
		});
		
		$(".bc-close-menu").focusout(function(){
			$(".bc-btn-toggle").focus();
			$(".bc-btn-toggle").addClass('active');

		});
	
		$('.home-slider').owlCarousel({
			items:1,
			autoplay:false,
			loop:false,
			autoplayTimeout:3500,
			autoplayHoverPause:false,
			smartSpeed: 500,
			merge:true,
			dots:false,
			nav:true,
			navText: ['<i class="fa fa-angle-left" aria-hidden="true"></i>', '<i class="fa fa-angle-right" aria-hidden="true"></i>'],
		});	
		
		$('.sidebar-popup .cross').on( "click", function(){
			$('.sidebar-popup').removeClass('active');
		});
		
		$.scrollUp({
			scrollName: 'scrollUp',      // Element ID
			scrollDistance: 300,         // Distance from top/bottom before showing element (px)
			scrollFrom: 'top',           // 'top' or 'bottom'
			scrollSpeed: 1000,            // Speed back to top (ms)
			animationSpeed: 200,         // Animation speed (ms)
			scrollTrigger: false,        // Set a custom triggering element. Can be an HTML string or jQuery object
			scrollTarget: false,         // Set a custom target element for scrolling to. Can be element or number
			scrollText: ["<i class='fa fa-angle-up'></i><span>Go Top</span>"], // Text for element, can contain HTML
			scrollTitle: false,          // Set a custom <a> title if required.
			scrollImg: false,            // Set true to use image
			activeOverlay: false,        // Set CSS color to display scrollUp active point, e.g '#00FFFF'
			zIndex: 2147483647           // Z-Index for the overlay
		});
	});
		
})(jQuery);
		
	
/* Keyboard navigation JS */
!(function (e) {
    "use strict";
    jQuery(document).ready(function (e) {
        e("#primary-menu,#side-menu");
        e("#primary-menu,#side-menu").KeyboardAccessibleDropDown();
    }),
        (e.fn.KeyboardAccessibleDropDown = function () {
            var n = e(this);
            e("a", n)
                .focus(function () {
                    e(this).parents("li").addClass("menu-open");
                })
                .blur(function () {
                    e(this).parents("li").removeClass("menu-open");
                });
        });
})(jQuery);
